import './assets/base.css'

import { createApp } from 'vue'
import App from './App.vue'
import router from './router'

// 使用 element-plus
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'

import { createPinia } from "pinia";

// 引入echarts
import * as echarts from 'echarts';

const app = createApp(App)

app.use(ElementPlus)
app.config.globalProperties.$echarts = echarts

app.use(router)
app.use(createPinia())

app.mount('#app')
